Bug 520243 - Translations support
Translations support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
: FutureFeature, Translation
Depends On: 527327
Blocks: 436824
  Show dependency treegraph
 
Reported: 2009-08-29 12:37 EDT by Piotr Drąg
Modified: 2010-01-14 11:57 EST (History)
5 users (show)

See Also:
Fixed In Version: ckannan@redhat.com
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-14 11:57:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Piotr Drąg 2009-08-29 12:37:27 EDT
Would you please add and sponsor 'transif' user in sssd FAS group? It would allow us to submit translations using [1].

https://translate.fedoraproject.org/projects/sssd/
Comment 1 Stephen Gallagher 2009-08-31 07:15:41 EDT
The SSSD upstream is currently in discussions with the Transifex team on how best to approach translations. Our upstream code submission policy prohibits the submission of any patch that has not been approved by one of the repository "gatekeepers". At present, that means Simo Sorce, Sumit Bose or myself.

Providing a "transif" user would allow translators to bypass our patch review process, which is an unacceptable risk, considering that the SSSD is a core security package.

We would much prefer that Transifex provided us with a review mechanism that would alert us when a patch was ready for submission and then one of the gatekeepers could authorize it before it was committed to the tree.
Comment 2 Piotr Drąg 2009-08-31 07:59:34 EDT
It should be noted that Transifex has access only to directories confined by file filter (like 'po') and accept only plain text files. Also next version will be able to submit translations directly to maintainer's e-mail.
Comment 3 Stephen Gallagher 2009-09-21 13:33:58 EDT
The SSSD now has an active translation project at:
http://www.transifex.net/projects/p/sssd/

Note You need to log in before you can comment on or make changes to this bug.